shinyUI(fluidPage(
  titlePanel("Compare centrality measures"),
  
  sidebarLayout(
    sidebarPanel(

      selectInput("format", label = h4("Graph format"), 
                  choices = c("gml", "graphml", "edgelist", "pajek", "ncol", "lgl",
                              "dimacs", "graphdb", "dl")),
      
      #br(),
      
      fileInput("graph", label = h4("Graph file")),

      #br(),      
      
      selectInput("centrality1", label = h4("X"), 
                  choices = c("degree", "eigenvector", "Katz", "pagerank", "HITS", "closeness", "betweenness")),
      
      #br(),      
      
      conditionalPanel(
        condition = "input.centrality1 == 'degree'",
        radioButtons("degree1", label = h4("Type"), 
                     choices = c("in", "out", "all"), inline=TRUE)),
      
      conditionalPanel(
        condition = "input.centrality1 == 'Katz' || input.centrality1 == 'pagerank'",
        numericInput("alpha1", 
                     label = h4("Damping"), min=0, max = 1, step = 0.05, 
                     value = 0.85)),
      
      conditionalPanel(
        condition = "input.centrality1 == 'HITS'",
        radioButtons("HITS1", label = h4("Type"), 
                     choices = c("authority", "hub"), inline=TRUE)),

      selectInput("centrality2", label = h4("Y"), 
                  choices = c("degree", "eigenvector", "Katz", "pagerank", "HITS", "closeness", "betweenness")),
      
      
      conditionalPanel(
        condition = "input.centrality2 == 'degree'",
        radioButtons("degree2", label = h4("Type"), 
                     choices = c("in", "out", "all"), inline=TRUE)),
      
      conditionalPanel(
        condition = "input.centrality2 == 'Katz' || input.centrality2 == 'pagerank'",
        numericInput("alpha2", 
                     label = h4("Damping"), min=0, max = 1, step = 0.05, 
                     value = 0.85)),
      
      conditionalPanel(
        condition = "input.centrality2 == 'HITS'",
        radioButtons("HITS2", label = h4("Type"), 
                     choices = c("authority", "hub"), inline=TRUE)),


      actionButton("compare", "Compare")
      ),

    mainPanel(plotOutput("scatter"))
  )
))